{{ define "header" }}
  {{ partialCached "page/page-header.html" . . }}
{{ end }}

{{ define "main" }}

  {{- partialCached "page/page-section-header.html" . .Title -}}

  {{- $toc := false -}}
  {{- if (ne .Pages false) | and (and (or (in .RawContent "##") (in .RawContent "###")) (gt .WordCount 200 )) -}}
    {{- $toc = true -}}
  {{- else if .Params.blocks }}
    {{- if gt (len .Params.blocks) 1 -}}
      {{- $.Scratch.Set "tocTitles" 0 }}
      {{- range .Params.blocks }}
        {{- if .title }}{{- $.Scratch.Set "tocTitles" (add ($.Scratch.Get "tocTitles") 1) }}{{ end -}}
      {{- end }}
      {{- if gt ($.Scratch.Get "tocTitles") 1 }}{{ $toc = true }}{{ end -}}
    {{- end -}}
  {{- end -}}

  {{- if $toc -}}
  <aside class="border-b xl:mt-3 xl:border-0 xl:absolute xl:px-8 print:hidden" x-data="{ isExpanded: window.innerWidth >= 1280 }">
    {{ partialCached "elements/toc.html" . . }}
  </aside>
  {{- end -}}
  
  <article class="content prose lg:prose-lg print:prose">
    {{- if .Params.blocks }}
    <div class="content-blocks">
      {{ partial "osuny/blocks/list.html" .Params.blocks }}
    </div>
    {{- else -}}
      {{- with .Params.legacy_text | default .Content -}}
        {{ partial "page/page-content.html" (dict "content" .) }}
      {{- end -}}
    {{- end -}}
  </article>

{{ end }}
